Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List differential prices

Returns a list of differential prices satisfying all the conditions specified in the filter parameters below. The list is sorted by the date of creation in descending order (latest first).

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/differential_prices

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
item_price_id[<operator>]

optional, string filter

The id of the item price (addon or charge ) whose price should change according to the plan-item it is applied to. Supported operators : is, is_not, starts_with, in, not_in

Example → item_price_id[is] = "day-pass-USD"

Supported operators: is, is_not, starts_with, in, not_in
Example → day-pass-USD
item_id[<operator>]

optional, string filter

Item Id of Addon / Charge item price for which differential pricing is applied to. Supported operators : is, is_not, starts_with, in, not_in

Example → item_id[is] = "day-pass"

Supported operators: is, is_not, starts_with, in, not_in
Example → day-pass
id[<operator>]

optional, string filter

A unique and immutable id for the differential price. It is auto-generated when the differential price is created. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "defcc4f1-f21f-47f4-8019-beddb9beab5f"

Supported operators: is, is_not, starts_with, in, not_in
Example → defcc4f1-f21f-47f4-8019-beddb9beab5f
parent_item_id[<operator>]

optional, string filter

The id of the plan-item, in relation to which, the differential pricing for the addon or charge is defined. For example, this would be the id of the Standard or Enterprise plans-items mentioned in the examples above . Supported operators : is, is_not, starts_with, in, not_in

Example → parent_item_id[is_not] = "basic"

Supported operators: is, is_not, starts_with, in, not_in
Example → basic

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Differential price object
Resource object representing differential_price